Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class RSS090Generator

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedGenerator
          com.sun.syndication.io.impl.RSS090Generator

All Implemented Interfaces:
  WireFeedGenerator

Direct Known Subclasses:
  RSS091UserlandGenerator, RSS10Generator

    public class RSS090Generator

extends BaseWireFeedGenerator

Feed Generator for RSS 0.90

Author:
  Elaine Chien

Constructor Summary
`` | `RSS090Generator()`
`protected` | `RSS090Generator(String type)`

Method Summary
`protected void` | `addChannel(Channel channel, org.jdom.Element parent)`
`protected void` | `addImage(Channel channel, org.jdom.Element parent)`
`protected void` | `addItem(Item item, org.jdom.Element parent, int index)`
`protected void` | `addItems(Channel channel, org.jdom.Element parent)`
`protected void` | `addTextInput(Channel channel, org.jdom.Element parent)`
`protected void` | `checkChannelConstraints(org.jdom.Element eChannel)`
`protected void` | `checkImageConstraints(org.jdom.Element eImage)`
`protected void` | `checkItemConstraints(org.jdom.Element eItem)`
`protected void` | `checkItemsConstraints(org.jdom.Element parent)`
`protected void` | `checkLength(org.jdom.Element parent, String childName, int minLen, int maxLen)`
`protected void` | `checkNotNullAndLength(org.jdom.Element parent, String childName, int minLen, int maxLen)`
`protected void` | `checkTextInputConstraints(org.jdom.Element eTextInput)`
`protected org.jdom.Document` | `createDocument(org.jdom.Element root)`
`protected org.jdom.Element` | `createRootElement(Channel channel)`
`org.jdom.Document` | `generate(WireFeed feed)` Creates an XML document (JDOM) for the given feed bean.
`protected org.jdom.Element` | `generateSimpleElement(String name, String value)`
`protected org.jdom.Namespace` | `getContentNamespace()`
`protected org.jdom.Namespace` | `getFeedNamespace()`
`protected org.jdom.Namespace` | `getRDFNamespace()`
`protected String` | `getTextInputLabel()`
`protected void` | `populateChannel(Channel channel, org.jdom.Element eChannel)` Populates the given channel with parsed data from the ROME element that holds the channel data.
`protected void` | `populateFeed(Channel channel, org.jdom.Element parent)`
`protected void` | `populateImage(Image image, org.jdom.Element eImage)`
`protected void` | `populateItem(Item item, org.jdom.Element eItem, int index)`
`protected void` | `populateTextInput(TextInput textInput, org.jdom.Element eTextInput)`

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator
`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSS090Generator

    public RSS090Generator()

### RSS090Generator

    protected RSS090Generator(String type)

Method Detail

### generate

    public org.jdom.Document generate(WireFeed feed)
                               throws FeedException

  Description copied from interface: `WireFeedGenerator`
  Creates an XML document (JDOM) for the given feed bean.

  Parameters:
    `feed` - the feed bean to generate the XML document from.
  Returns:
    the generated XML document (JDOM).
  Throws:
    `FeedException` - thrown if the XML Document could not be created.

### getFeedNamespace

    protected org.jdom.Namespace getFeedNamespace()

### getRDFNamespace

    protected org.jdom.Namespace getRDFNamespace()

### getContentNamespace

    protected org.jdom.Namespace getContentNamespace()

### createDocument

    protected org.jdom.Document createDocument(org.jdom.Element root)

### createRootElement

    protected org.jdom.Element createRootElement(Channel channel)

### populateFeed

    protected void populateFeed(Channel channel,
                                org.jdom.Element parent)
                         throws FeedException

  Throws:
    `FeedException`

### addChannel

    protected void addChannel(Channel channel,
                              org.jdom.Element parent)
                       throws FeedException

  Throws:
    `FeedException`

### populateChannel

    protected void populateChannel(Channel channel,
                                   org.jdom.Element eChannel)

  Populates the given channel with parsed data from the ROME element that holds the channel data.

  Parameters:
    `channel` - the channel into which parsed data will be added.
    `eChannel` - the XML element that holds the data for the channel.

### checkNotNullAndLength

    protected void checkNotNullAndLength(org.jdom.Element parent,
                                         String childName,
                                         int minLen,
                                         int maxLen)
                                  throws FeedException

  Throws:
    `FeedException`

### checkLength

    protected void checkLength(org.jdom.Element parent,
                               String childName,
                               int minLen,
                               int maxLen)
                        throws FeedException

  Throws:
    `FeedException`

### addImage

    protected void addImage(Channel channel,
                            org.jdom.Element parent)
                     throws FeedException

  Throws:
    `FeedException`

### populateImage

    protected void populateImage(Image image,
                                 org.jdom.Element eImage)

### getTextInputLabel

    protected String getTextInputLabel()

### addTextInput

    protected void addTextInput(Channel channel,
                                org.jdom.Element parent)
                         throws FeedException

  Throws:
    `FeedException`

### populateTextInput

    protected void populateTextInput(TextInput textInput,
                                     org.jdom.Element eTextInput)

### addItems

    protected void addItems(Channel channel,
                            org.jdom.Element parent)
                     throws FeedException

  Throws:
    `FeedException`

### addItem

    protected void addItem(Item item,
                           org.jdom.Element parent,
                           int index)
                    throws FeedException

  Throws:
    `FeedException`

### populateItem

    protected void populateItem(Item item,
                                org.jdom.Element eItem,
                                int index)

### generateSimpleElement

    protected org.jdom.Element generateSimpleElement(String name,
                                                     String value)

### checkChannelConstraints

    protected void checkChannelConstraints(org.jdom.Element eChannel)
                                    throws FeedException

  Throws:
    `FeedException`

### checkImageConstraints

    protected void checkImageConstraints(org.jdom.Element eImage)
                                  throws FeedException

  Throws:
    `FeedException`

### checkTextInputConstraints

    protected void checkTextInputConstraints(org.jdom.Element eTextInput)
                                      throws FeedException

  Throws:
    `FeedException`

### checkItemsConstraints

    protected void checkItemsConstraints(org.jdom.Element parent)
                                  throws FeedException

  Throws:
    `FeedException`

### checkItemConstraints

    protected void checkItemConstraints(org.jdom.Element eItem)
                                 throws FeedException

  Throws:
    `FeedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.